settings:
# Project
- name: default_environment
  value: dev
- name: send_anonymous_usage_stats
  kind: boolean
  value: true
  # Previously:
  # env_aliases: ["!MELTANO_DISABLE_TRACKING"]
- name: disable_tracking
  kind: boolean
  # Replaces negated env_alias from `send_anonymous_usage_stats`
- name: project_id
- name: database_uri
  value: sqlite:///$MELTANO_PROJECT_ROOT/.meltano/meltano.db
  env_specific: true
- name: database_max_retries
  kind: integer
  value: 3
- name: database_retry_timeout
  kind: integer
  value: 5
- name: project_readonly
  kind: boolean
  value: false
  env_specific: true
- name: discovery_url
  value: https://discovery.meltano.com/discovery.yml
- name: hub_api_root
- name: hub_url
  value: https://hub.meltano.com
- name: hub_url_auth
- name: discovery_url_auth
- name: elt.buffer_size
  kind: integer
  value: 10485760 # 10 MiB

# CLI
- name: cli.log_level
  kind: options
  options:
  - label: Debug
    value: debug
  - label: Info
    value: info
  - label: Warning
    value: warning
  - label: Error
    value: error
  - label: Critical
    value: critical
  value: info
  env_specific: true
- name: cli.log_config
  value: logging.yaml

# UI server
- name: ui.bind_host
  value: "0.0.0.0"
  env_specific: true
- name: ui.bind_port
  kind: integer
  value: 5000
  env_specific: true
- name: ui.server_name
  env_specific: true
- name: ui.session_cookie_domain
  env_specific: true
- name: ui.session_cookie_secure
  kind: boolean
  value: false
  env_specific: true
- name: ui.secret_key
  value: thisisnotapropersecretkey
  env_specific: true
- name: ui.password_salt
  value: b4c124932584ad6e69f2774a0ae5c138
  env_specific: true
- name: ui.workers
  kind: integer
  value: 4
  env_specific: true
- name: ui.forwarded_allow_ips
  value: "127.0.0.1"
  env_specific: true

# UI features
- name: ui.readonly
  kind: boolean
  value: false
  env_specific: true
- name: ui.authentication
  kind: boolean
  value: false
  env_specific: true
- name: ui.anonymous_readonly
  kind: boolean
  value: false
  env_specific: true
- name: ui.notification
  kind: boolean
  value: false
  env_specific: true
- name: ui.analysis
  kind: boolean
  value: false

# UI customization
- name: ui.logo_url

# Mail server
- name: mail.server
  value: localhost
  env: MAIL_SERVER
  env_specific: true
- name: mail.port
  kind: integer
  value: 1025
  env: MAIL_PORT
  env_specific: true
- name: mail.default_sender
  value: '"Meltano" <bot@meltano.com>'
  env: MAIL_DEFAULT_SENDER
  env_specific: true
- name: mail.use_tls
  kind: boolean
  value: false
  env: MAIL_USE_TLS
  env_specific: true
- name: mail.username
  env: MAIL_USERNAME
  env_specific: true
- name: mail.password
  kind: password
  env: MAIL_PASSWORD
  env_specific: true
- name: mail.debug
  kind: boolean
  value: false
  env: MAIL_DEBUG
  env_specific: true
- name: mail.sendgrid_unsubscribe_group_id
  kind: integer
  value: 12751
  env: MAIL_SENDGRID_UNSUBSCRIBE_GROUP_ID
  env_specific: true

# OAuth Service
- name: oauth_service.url
- name: oauth_service.providers
  value: all
- name: oauth_service.facebook.client_id
  env: OAUTH_FACEBOOK_CLIENT_ID
  env_specific: true
- name: oauth_service.facebook.client_secret
  kind: password
  env: OAUTH_FACEBOOK_CLIENT_SECRET
  env_specific: true
- name: oauth_service.google_adwords.client_id
  env: OAUTH_GOOGLE_ADWORDS_CLIENT_ID
  env_specific: true
- name: oauth_service.google_adwords.client_secret
  kind: password
  env: OAUTH_GOOGLE_ADWORDS_CLIENT_SECRET
  env_specific: true

# OAuth Single-Sign-On
- name: oauth.gitlab.client_id
  env: OAUTH_GITLAB_CLIENT_ID
  env_specific: true
- name: oauth.gitlab.client_secret
  kind: password
  env: OAUTH_GITLAB_CLIENT_SECRET
  env_specific: true

# Analytics Tracking IDs
- name: tracking_ids.cli
  value: UA-132758957-3
- name: tracking_ids.ui
  value: UA-132758957-2
- name: tracking_ids.ui_embed
  value: UA-132758957-6

# Snowplow Tracking
- name: snowplow.collector_endpoints
  kind: array
  value: ["https://sp.meltano.com"]

# Feature Flags
# Control whether to use Uvicorn rather than Gunicorn as the API server.
- name: ff.enable_uvicorn
  kind: boolean
  value: False
# Control whether the API includes scheduled jobs in listings.
- name: ff.enable_api_scheduled_job_list
  kind: boolean
  value: False
# Global "experimental" flag.
- name: experimental
  kind: boolean
  value: False
# Control whether references to undefined env vars causes hard fail.
- name: ff.strict_env_var_mode
  kind: boolean
  value: False
